#
# spec file for package python-pure-protobuf
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pure-protobuf
Version:        3.1.3
Release:        1.3
Summary:        Protocol Buffers using Python type annotations
License:        MIT
URL:            https://github.com/eigenein/protobuf
Source:         https://files.pythonhosted.org/packages/source/p/pure-protobuf/pure_protobuf-%{version}.tar.gz
Source1:        %{name}-tests-%{version}.tar.gz
Source99:       get-tests.sh
BuildRequires:  %{python_module get-annotations}
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module poetry-dynamic-versioning}
BuildRequires:  %{python_module pydantic}
BuildRequires:  %{python_module typing-extensions}
BuildRequires:  fdupes
BuildRequires:  git-core
BuildRequires:  python-rpm-macros
## needed for tests
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-benchmark}
BuildRequires:  %{python_module pytest-cov}
BuildArch:      noarch
Requires:       python-typing-extensions
%python_subpackages

%description
%{summary}.

%prep
%autosetup -a1 -p1 -n pure_protobuf-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/pure_protobuf
%{python_sitelib}/pure_protobuf-%{version}.dist-info

%changelog
* Tue Oct 15 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 3.1.3:
  * drop support for python 3.8
  * add support for python 3.13
  * prepare for python 3.14
* Fri Aug 16 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 3.1.2:
  * Do not reset a one-of group with a None value
  * Update and apply Ruff
  * Update all non-major dependencies
* Tue Jul 23 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 3.1.1:
  * update dependencies
* Fri May 17 2024 Richard Rahl <rrahl0@disroot.org>
- update to 3.1.0:
  * dependency updates
* Fri Mar  8 2024 Richard Rahl <rrahl0@proton.me>
- add script get-tests.sh to fetch tests
- update to 3.0.1:
  * technical update (deps)
- update to 3.0.0:
  * = field field declarations replaced with Annotated hinting
  * Removed @message decorator in favour of BaseMessage
  * Re-written the core
  * Typing changes (see also: https://eigenein.github.io/protobuf/migration/)
* Sat Dec 16 2023 Richard Rahl <rrahl0@proton.me>
- initial packaging
